#
# spec file for package perl-Digest-MD5
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Digest-MD5
Version:        2.55
Release:        3.11
%define cpan_name Digest-MD5
Summary:        Perl interface to the MD5 Algorithm
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Digest-MD5/
Source0:        http://www.cpan.org/authors/id/G/GA/GAAS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
The 'Digest::MD5' module allows you to use the RSA Data Security Inc. MD5
Message Digest algorithm from within Perl programs. The algorithm takes as
input a message of arbitrary length and produces as output a 128-bit
"fingerprint" or "message digest" of the input.

Note that the MD5 algorithm is not as strong as it used to be. It has since
2005 been easy to generate different messages that produce the same MD5
digest. It still seems hard to generate messages that produce a given
digest, but it is probably wise to move to stronger algorithms for
applications that depend on the digest to uniquely identify a message.

The 'Digest::MD5' module provide a procedural interface for simple use, as
well as an object oriented interface that can handle messages of arbitrary
length and which can read files directly.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README rfc1321.txt

%changelog
* Fri Mar 11 2016 coolo@suse.com
- updated to 2.55
  see /usr/share/doc/packages/perl-Digest-MD5/Changes
  2016-03-09   Gisle Aas <gisle@ActiveState.com>
    Release 2.55
    Gordon Stanton (2):
    Make use warnings work including test cases.
    Initial Travis config
    Gisle Aas (1):
    Avoid warning: 'static' is not at beginning of declaration [RT#105646]
* Mon Apr 13 2015 coolo@suse.com
- updated to 2.54
  see /usr/share/doc/packages/perl-Digest-MD5/Changes
  2015-01-12   Gisle Aas <gisle@ActiveState.com>
    Release 2.54
    David Mitchell: silence some compiler warnings
    Jonathan Hall: Add ->context() feature
    Steve Hay: Sync with blead
    bulk88: const the vtable
    zefram: 5.6 threads test fix
* Fri Nov 22 2013 herbert@graeber-clan.de
- upgrade to v2.53
* Mon Jan 14 2013 Greg.Freemyer@gmail.com
- upgrade to v2.52
  * Digest::Perl::MD5 OO fallback didn't work [RT#66634]
  * Modernize the code in the POD.
  * Makes Digest::MD5 work on Perl 5.6 [RT#75032]
  Release 2.51
  * Fix compilation with c++ compilers
  * Fix repository specification in META.yml
  Release 2.50
  * Amended tests to work with perl core.
  * Attach context pointers using sv magic
  * Add failing test for thread cloning
  * Clone MD5 contexts on thread cloning
  * get_md5_ctx should never return anything but a valid pointer
  * perl-5.6 no longer supported
  * Preserve utf8ness of argument [RT#44927]
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Sep  6 2010 chris@computersalat.de
- recreated by cpanspec 1.78
* Thu Aug 26 2010 pascal.bleser@opensuse.org
- update to 2.40:
  * safer alignment test [RT#35823]
  * consting in new ext/
- changes from 2.39:
  * get rid of the PERL_CORE hacks
  * ext/Digest/MD5 to ext/Digest-MD5
- changes from 2.38:
  * applied warning fix [RT#19643]
  * applied compatiblity fix [RT#30348]
- changes from 2.37:
  * sync up with consting changes from the perl core
* Tue Sep 12 2006 James Oakley <jfunk@funktronics.ca>
- Initial release (2.36)
